#!/bin/sh

############################################################################
#
#  - Description    : Ein Skript zum Starten/Stoppen von Transmission
#
#  - Author         : Radislav @ http://www.fritzmod.net
#  - Created        : 2014-06-06
#  - License        : GPLv2
#
#  - Last update    : $Author: radislav $
#                   : $Date: 2014-06-06 12:05:15 +0200 (Fr, 06 Jun 2014) $
#                   : $Revision: 14 $
#
############################################################################

# set the path to transmission web-if
export TRANSMISSION_WEB_HOME="`pwd`"

# set the path to transmission
TRANSMISSION="`pwd`"

start()
{
   sed -i -e "s!./downloads!$TRANSMISSION/downloads!g" $TRANSMISSION/config/settings.json
   $TRANSMISSION/transmission-daemon -g $TRANSMISSION/config &
}

stop()
{
   killall transmission-daemon
}
case "$1" in
   'start' )
      echo "...starting transmission"
      start
      echo "...done"
      ;;

   'stop' )
      echo "...stoping transmission"
      stop
      echo "done"
      ;;
      
   'restart' )
      echo "...restarting transmission"
      stop
      echo "...transmission killed"
      sleep 1
      start
      echo "done"
      ;;

   * )
      echo "Usage: $0 start|stop|restart"
      ;;
esac
